콘텐츠로 건너뛰기

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

Shop Builder API provides a third-party solution for implementing the server side for your store interface. Use the endpoints to manage in-game items, in-game currencies, cart, player inventory, promotions, game library, etc.

OpenAPI 설명 다운로드
언어
서버
Mock server
https://xsolla.redocly.app/_mock/ko/api/shop-builder/
https://store.xsolla.com/api/
작업

개인 맞춤형 카탈로그

이 API를 사용하여 사용자 특성에 대한 규칙을 지정할 수 있습니다. 사용자가 구체적인 규칙에 대한 모든 조건을 충족하면 개인 맞춤형 아이템이 표시됩니다.

개인 맞춤형 프로모션에 대한 내용은 프로모션 섹션을 참조하십시오.

구매 전에 특성을 전달하려면 엑솔라 로그인 API를 사용하거나 페이 스테이션 API를 사용하여 토큰을 생성하는 동안 user.attributes 특성으로 특성을 전달할 수 있습니다.

작업
작업
작업
작업
작업
작업
작업
작업
작업
작업
작업
작업

카탈로그

이 API를 사용하면 모든 종류의 판매할 수 있는 아이템 또는 특정 아이템을 가져올 수 있습니다.

작업
작업
작업
작업
작업
작업

요청

프로모션을 비활성화합니다.

보안
basicAuth
경로
project_idinteger필수

프로젝트 ID입니다. 이 매개 변수는 관리자 페이지의 프로젝트 이름 옆에서 확인할 수 있습니다.

예제: 44056
promotion_idinteger필수

프로모션 ID입니다. 프로젝트 내부의 고유 프로모션 식별자입니다.

예제: 111425
curl -i -X PUT \
  -u <username>:<password> \
  https://xsolla.redocly.app/_mock/ko/api/shop-builder/v2/project/44056/admin/promotion/111425/deactivate

응답

프로모션을 성공적으로 비활성화했습니다.

응답
콘텐츠 없음

요청

코드가 프로모션 코드 또는 쿠폰 코드인지 여부와 사용자가 코드를 적용할 수 있는지 여부를 결정합니다.

보안
XsollaLoginUserJWT
경로
project_idinteger필수

프로젝트 ID입니다. 이 매개 변수는 관리자 페이지의 프로젝트 이름 옆에서 확인할 수 있습니다.

예제: 44056
codestring[ 1 .. 128 ] characters필수

대/소문자를 구분하는 고유한 코드입니다. 문자와 숫자를 포함합니다.

예제: WINTER2021
curl -i -X GET \
  https://xsolla.redocly.app/_mock/ko/api/shop-builder/v2/project/44056/promotion/code/WINTER2021/verify \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

응답

코드에 대한 정보입니다.

본문application/json
codestring(Promotions_coupon_code)[ 1 .. 128 ] characters^[a-zA-Z0-9]+$

고유한 대/소문자 구분 코드입니다. 문자와 숫자를 포함합니다.

기본값 "WINTER2021"
예제: "WINTER2021"
rewardsCoupon_rewards (object) or Promo_code_rewards_verify (object)
One of:
typestring

코드 유형: promocode/coupon.

응답
application/json
{ "code": "WINTER2023", "rewards": { "bonus": [], "is_selectable": true }, "type": "coupon" }

모든 프로모션 목록 가져오기Server-sideAdmin

요청

프로젝트의 프로모션 목록을 가져옵니다.

보안
basicAuth
경로
project_idinteger필수

프로젝트 ID입니다. 이 매개 변수는 관리자 페이지의 프로젝트 이름 옆에서 확인할 수 있습니다.

예제: 44056
쿼리
limitinteger>= 1

페이지 요소 개수 제한입니다.

예제: limit=50
offsetinteger>= 0

목록이 생성된 요소의 개수입니다(개수는 0부터 시작함).

예제: offset=0
enabledinteger

is_enabled 플래그로 요소를 필터링합니다.

curl -i -X GET \
  -u <username>:<password> \
  'https://xsolla.redocly.app/_mock/ko/api/shop-builder/v3/project/44056/admin/promotion?limit=50&offset=0&enabled=0'

응답

프로모션 목록을 성공적으로 수신했습니다.

본문application/json
active_promotions_countinteger(active_promotions_count)

활성 프로모션의 수입니다.

inactive_promotions_countinteger(inactive_promotions_count)

비활성 프로모션의 수입니다.

promotionsArray of objects(Promotions_200-get-promotion-model)
total_promotions_countinteger(total_promotions_count)

총 프로모션 개수입니다.

응답
application/json
{ "active_promotions_count": 3, "inactive_promotions_count": 2, "promotions": [ {}, {}, {}, {}, {} ], "total_promotions_count": 5 }

쿠폰

이 API를 사용하여 쿠폰을 관리할 수 있습니다.

작업

프로모션 코드

이 API를 사용하여 프로모션 코드를 관리할 수 있습니다.

작업

고유 카탈로그 혜택

이 API를 사용하여 고유 카탈로그 혜택을 관리할 수 있습니다.

작업

할인

이 API를 사용하여 할인 프로모션을 관리할 수 있습니다.

작업

보너스

이 API를 사용하여 보너스 프로모션을 관리할 수 있습니다.

작업
작업
작업
작업
작업
작업
작업
작업
작업
작업
작업
작업
작업
작업
작업